// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.5.1
// - protoc             v4.25.6
// source: pipeline.proto

package gen

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.64.0 or later.
const _ = grpc.SupportPackageIsVersion9

const (
	Pipelines_GetPipelineByID_FullMethodName            = "/martiancloud.phobos.api.pipeline.Pipelines/GetPipelineByID"
	Pipelines_GetPipelines_FullMethodName               = "/martiancloud.phobos.api.pipeline.Pipelines/GetPipelines"
	Pipelines_CreatePipeline_FullMethodName             = "/martiancloud.phobos.api.pipeline.Pipelines/CreatePipeline"
	Pipelines_CancelPipeline_FullMethodName             = "/martiancloud.phobos.api.pipeline.Pipelines/CancelPipeline"
	Pipelines_GetPipelineEventsStreaming_FullMethodName = "/martiancloud.phobos.api.pipeline.Pipelines/GetPipelineEventsStreaming"
	Pipelines_SetPipelineActionStatus_FullMethodName    = "/martiancloud.phobos.api.pipeline.Pipelines/SetPipelineActionStatus"
	Pipelines_SetPipelineActionOutputs_FullMethodName   = "/martiancloud.phobos.api.pipeline.Pipelines/SetPipelineActionOutputs"
	Pipelines_GetPipelineActionOutputs_FullMethodName   = "/martiancloud.phobos.api.pipeline.Pipelines/GetPipelineActionOutputs"
	Pipelines_GetPipelineVariables_FullMethodName       = "/martiancloud.phobos.api.pipeline.Pipelines/GetPipelineVariables"
	Pipelines_CreatePipelineJWT_FullMethodName          = "/martiancloud.phobos.api.pipeline.Pipelines/CreatePipelineJWT"
	Pipelines_RetryPipelineTask_FullMethodName          = "/martiancloud.phobos.api.pipeline.Pipelines/RetryPipelineTask"
	Pipelines_RunPipelineTask_FullMethodName            = "/martiancloud.phobos.api.pipeline.Pipelines/RunPipelineTask"
	Pipelines_RunPipeline_FullMethodName                = "/martiancloud.phobos.api.pipeline.Pipelines/RunPipeline"
	Pipelines_RetryNestedPipeline_FullMethodName        = "/martiancloud.phobos.api.pipeline.Pipelines/RetryNestedPipeline"
	Pipelines_ApprovePipeline_FullMethodName            = "/martiancloud.phobos.api.pipeline.Pipelines/ApprovePipeline"
	Pipelines_RevokePipelineApproval_FullMethodName     = "/martiancloud.phobos.api.pipeline.Pipelines/RevokePipelineApproval"
	Pipelines_ApprovePipelineTask_FullMethodName        = "/martiancloud.phobos.api.pipeline.Pipelines/ApprovePipelineTask"
	Pipelines_RevokePipelineTaskApproval_FullMethodName = "/martiancloud.phobos.api.pipeline.Pipelines/RevokePipelineTaskApproval"
	Pipelines_SchedulePipelineNode_FullMethodName       = "/martiancloud.phobos.api.pipeline.Pipelines/SchedulePipelineNode"
	Pipelines_CancelPipelineNodeSchedule_FullMethodName = "/martiancloud.phobos.api.pipeline.Pipelines/CancelPipelineNodeSchedule"
	Pipelines_DeferPipelineNode_FullMethodName          = "/martiancloud.phobos.api.pipeline.Pipelines/DeferPipelineNode"
)

// PipelinesClient is the client API for Pipelines service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
//
// Pipelines implements all functionality related to a Phobos Pipeline.
type PipelinesClient interface {
	// GetPipelineByID retrieves a Pipeline by it's ID.
	GetPipelineByID(ctx context.Context, in *GetPipelineByIdRequest, opts ...grpc.CallOption) (*Pipeline, error)
	// GetPipelines retrieves a paginated list of Pipelines.
	GetPipelines(ctx context.Context, in *GetPipelinesRequest, opts ...grpc.CallOption) (*GetPipelinesResponse, error)
	// CreatePipeline creates a new Pipeline.
	CreatePipeline(ctx context.Context, in *CreatePipelineRequest, opts ...grpc.CallOption) (*Pipeline, error)
	// CancelPipeline cancels a Pipeline.
	CancelPipeline(ctx context.Context, in *CancelPipelineRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	GetPipelineEventsStreaming(ctx context.Context, in *GetPipelineEventsStreamingRequest, opts ...grpc.CallOption) (grpc.ServerStreamingClient[GetPipelineEventsStreamingResponse], error)
	// SetPipelineActionStatus sets the status of a Pipeline Action.
	SetPipelineActionStatus(ctx context.Context, in *SetPipelineActionStatusRequest, opts ...grpc.CallOption) (*Pipeline, error)
	// SetPipelineActionOutputs sets the outputs of a Pipeline Action.
	SetPipelineActionOutputs(ctx context.Context, in *SetPipelineActionOutputsRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// GetPipelineActionOutputs retrieves the outputs of a Pipeline Action.
	GetPipelineActionOutputs(ctx context.Context, in *GetPipelineActionOutputsRequest, opts ...grpc.CallOption) (*GetPipelineActionOutputsResponse, error)
	// GetPipelineVariables retrieves the variables of a Pipeline.
	GetPipelineVariables(ctx context.Context, in *GetPipelineVariablesRequest, opts ...grpc.CallOption) (*GetPipelineVariablesResponse, error)
	// CreatePipelineJWT creates a new Pipeline JWT
	CreatePipelineJWT(ctx context.Context, in *CreatePipelineJWTRequest, opts ...grpc.CallOption) (*CreatePipelineJWTResponse, error)
	// RetryPipelineTask retries a Pipeline Task
	RetryPipelineTask(ctx context.Context, in *RetryPipelineTaskRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// RunPipelineTask starts a Pipeline Task
	RunPipelineTask(ctx context.Context, in *RunPipelineTaskRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// RunPipeline starts a Pipeline
	RunPipeline(ctx context.Context, in *RunPipelineRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// RetryNestedPipeline retries a nested pipeline
	RetryNestedPipeline(ctx context.Context, in *RetryNestedPipelineRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// ApprovePipeline approves a pipeline
	ApprovePipeline(ctx context.Context, in *ApprovePipelineRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// RevokePipelineApproval revokes a pipeline approval
	RevokePipelineApproval(ctx context.Context, in *RevokePipelineApprovalRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// ApprovePipelineTask approves a pipeline task
	ApprovePipelineTask(ctx context.Context, in *ApprovePipelineTaskRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// RevokePipelineTaskApproval revokes a pipeline task approval
	RevokePipelineTaskApproval(ctx context.Context, in *RevokePipelineTaskApprovalRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// SchedulePipelineNode schedules a pipeline node
	SchedulePipelineNode(ctx context.Context, in *SchedulePipelineNodeRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// CancelPipelineNodeSchedule cancels a scheduled pipeline node
	CancelPipelineNodeSchedule(ctx context.Context, in *CancelPipelineNodeScheduleRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	// DeferPipelineNode defers a pipeline node
	DeferPipelineNode(ctx context.Context, in *DeferPipelineNodeRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
}

type pipelinesClient struct {
	cc grpc.ClientConnInterface
}

func NewPipelinesClient(cc grpc.ClientConnInterface) PipelinesClient {
	return &pipelinesClient{cc}
}

func (c *pipelinesClient) GetPipelineByID(ctx context.Context, in *GetPipelineByIdRequest, opts ...grpc.CallOption) (*Pipeline, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(Pipeline)
	err := c.cc.Invoke(ctx, Pipelines_GetPipelineByID_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) GetPipelines(ctx context.Context, in *GetPipelinesRequest, opts ...grpc.CallOption) (*GetPipelinesResponse, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(GetPipelinesResponse)
	err := c.cc.Invoke(ctx, Pipelines_GetPipelines_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) CreatePipeline(ctx context.Context, in *CreatePipelineRequest, opts ...grpc.CallOption) (*Pipeline, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(Pipeline)
	err := c.cc.Invoke(ctx, Pipelines_CreatePipeline_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) CancelPipeline(ctx context.Context, in *CancelPipelineRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_CancelPipeline_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) GetPipelineEventsStreaming(ctx context.Context, in *GetPipelineEventsStreamingRequest, opts ...grpc.CallOption) (grpc.ServerStreamingClient[GetPipelineEventsStreamingResponse], error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	stream, err := c.cc.NewStream(ctx, &Pipelines_ServiceDesc.Streams[0], Pipelines_GetPipelineEventsStreaming_FullMethodName, cOpts...)
	if err != nil {
		return nil, err
	}
	x := &grpc.GenericClientStream[GetPipelineEventsStreamingRequest, GetPipelineEventsStreamingResponse]{ClientStream: stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

// This type alias is provided for backwards compatibility with existing code that references the prior non-generic stream type by name.
type Pipelines_GetPipelineEventsStreamingClient = grpc.ServerStreamingClient[GetPipelineEventsStreamingResponse]

func (c *pipelinesClient) SetPipelineActionStatus(ctx context.Context, in *SetPipelineActionStatusRequest, opts ...grpc.CallOption) (*Pipeline, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(Pipeline)
	err := c.cc.Invoke(ctx, Pipelines_SetPipelineActionStatus_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) SetPipelineActionOutputs(ctx context.Context, in *SetPipelineActionOutputsRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_SetPipelineActionOutputs_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) GetPipelineActionOutputs(ctx context.Context, in *GetPipelineActionOutputsRequest, opts ...grpc.CallOption) (*GetPipelineActionOutputsResponse, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(GetPipelineActionOutputsResponse)
	err := c.cc.Invoke(ctx, Pipelines_GetPipelineActionOutputs_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) GetPipelineVariables(ctx context.Context, in *GetPipelineVariablesRequest, opts ...grpc.CallOption) (*GetPipelineVariablesResponse, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(GetPipelineVariablesResponse)
	err := c.cc.Invoke(ctx, Pipelines_GetPipelineVariables_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) CreatePipelineJWT(ctx context.Context, in *CreatePipelineJWTRequest, opts ...grpc.CallOption) (*CreatePipelineJWTResponse, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(CreatePipelineJWTResponse)
	err := c.cc.Invoke(ctx, Pipelines_CreatePipelineJWT_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) RetryPipelineTask(ctx context.Context, in *RetryPipelineTaskRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_RetryPipelineTask_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) RunPipelineTask(ctx context.Context, in *RunPipelineTaskRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_RunPipelineTask_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) RunPipeline(ctx context.Context, in *RunPipelineRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_RunPipeline_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) RetryNestedPipeline(ctx context.Context, in *RetryNestedPipelineRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_RetryNestedPipeline_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) ApprovePipeline(ctx context.Context, in *ApprovePipelineRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_ApprovePipeline_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) RevokePipelineApproval(ctx context.Context, in *RevokePipelineApprovalRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_RevokePipelineApproval_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) ApprovePipelineTask(ctx context.Context, in *ApprovePipelineTaskRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_ApprovePipelineTask_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) RevokePipelineTaskApproval(ctx context.Context, in *RevokePipelineTaskApprovalRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_RevokePipelineTaskApproval_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) SchedulePipelineNode(ctx context.Context, in *SchedulePipelineNodeRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_SchedulePipelineNode_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) CancelPipelineNodeSchedule(ctx context.Context, in *CancelPipelineNodeScheduleRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_CancelPipelineNodeSchedule_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelinesClient) DeferPipelineNode(ctx context.Context, in *DeferPipelineNodeRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	cOpts := append([]grpc.CallOption{grpc.StaticMethod()}, opts...)
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, Pipelines_DeferPipelineNode_FullMethodName, in, out, cOpts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PipelinesServer is the server API for Pipelines service.
// All implementations must embed UnimplementedPipelinesServer
// for forward compatibility.
//
// Pipelines implements all functionality related to a Phobos Pipeline.
type PipelinesServer interface {
	// GetPipelineByID retrieves a Pipeline by it's ID.
	GetPipelineByID(context.Context, *GetPipelineByIdRequest) (*Pipeline, error)
	// GetPipelines retrieves a paginated list of Pipelines.
	GetPipelines(context.Context, *GetPipelinesRequest) (*GetPipelinesResponse, error)
	// CreatePipeline creates a new Pipeline.
	CreatePipeline(context.Context, *CreatePipelineRequest) (*Pipeline, error)
	// CancelPipeline cancels a Pipeline.
	CancelPipeline(context.Context, *CancelPipelineRequest) (*emptypb.Empty, error)
	GetPipelineEventsStreaming(*GetPipelineEventsStreamingRequest, grpc.ServerStreamingServer[GetPipelineEventsStreamingResponse]) error
	// SetPipelineActionStatus sets the status of a Pipeline Action.
	SetPipelineActionStatus(context.Context, *SetPipelineActionStatusRequest) (*Pipeline, error)
	// SetPipelineActionOutputs sets the outputs of a Pipeline Action.
	SetPipelineActionOutputs(context.Context, *SetPipelineActionOutputsRequest) (*emptypb.Empty, error)
	// GetPipelineActionOutputs retrieves the outputs of a Pipeline Action.
	GetPipelineActionOutputs(context.Context, *GetPipelineActionOutputsRequest) (*GetPipelineActionOutputsResponse, error)
	// GetPipelineVariables retrieves the variables of a Pipeline.
	GetPipelineVariables(context.Context, *GetPipelineVariablesRequest) (*GetPipelineVariablesResponse, error)
	// CreatePipelineJWT creates a new Pipeline JWT
	CreatePipelineJWT(context.Context, *CreatePipelineJWTRequest) (*CreatePipelineJWTResponse, error)
	// RetryPipelineTask retries a Pipeline Task
	RetryPipelineTask(context.Context, *RetryPipelineTaskRequest) (*emptypb.Empty, error)
	// RunPipelineTask starts a Pipeline Task
	RunPipelineTask(context.Context, *RunPipelineTaskRequest) (*emptypb.Empty, error)
	// RunPipeline starts a Pipeline
	RunPipeline(context.Context, *RunPipelineRequest) (*emptypb.Empty, error)
	// RetryNestedPipeline retries a nested pipeline
	RetryNestedPipeline(context.Context, *RetryNestedPipelineRequest) (*emptypb.Empty, error)
	// ApprovePipeline approves a pipeline
	ApprovePipeline(context.Context, *ApprovePipelineRequest) (*emptypb.Empty, error)
	// RevokePipelineApproval revokes a pipeline approval
	RevokePipelineApproval(context.Context, *RevokePipelineApprovalRequest) (*emptypb.Empty, error)
	// ApprovePipelineTask approves a pipeline task
	ApprovePipelineTask(context.Context, *ApprovePipelineTaskRequest) (*emptypb.Empty, error)
	// RevokePipelineTaskApproval revokes a pipeline task approval
	RevokePipelineTaskApproval(context.Context, *RevokePipelineTaskApprovalRequest) (*emptypb.Empty, error)
	// SchedulePipelineNode schedules a pipeline node
	SchedulePipelineNode(context.Context, *SchedulePipelineNodeRequest) (*emptypb.Empty, error)
	// CancelPipelineNodeSchedule cancels a scheduled pipeline node
	CancelPipelineNodeSchedule(context.Context, *CancelPipelineNodeScheduleRequest) (*emptypb.Empty, error)
	// DeferPipelineNode defers a pipeline node
	DeferPipelineNode(context.Context, *DeferPipelineNodeRequest) (*emptypb.Empty, error)
	mustEmbedUnimplementedPipelinesServer()
}

// UnimplementedPipelinesServer must be embedded to have
// forward compatible implementations.
//
// NOTE: this should be embedded by value instead of pointer to avoid a nil
// pointer dereference when methods are called.
type UnimplementedPipelinesServer struct{}

func (UnimplementedPipelinesServer) GetPipelineByID(context.Context, *GetPipelineByIdRequest) (*Pipeline, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPipelineByID not implemented")
}
func (UnimplementedPipelinesServer) GetPipelines(context.Context, *GetPipelinesRequest) (*GetPipelinesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPipelines not implemented")
}
func (UnimplementedPipelinesServer) CreatePipeline(context.Context, *CreatePipelineRequest) (*Pipeline, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreatePipeline not implemented")
}
func (UnimplementedPipelinesServer) CancelPipeline(context.Context, *CancelPipelineRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelPipeline not implemented")
}
func (UnimplementedPipelinesServer) GetPipelineEventsStreaming(*GetPipelineEventsStreamingRequest, grpc.ServerStreamingServer[GetPipelineEventsStreamingResponse]) error {
	return status.Errorf(codes.Unimplemented, "method GetPipelineEventsStreaming not implemented")
}
func (UnimplementedPipelinesServer) SetPipelineActionStatus(context.Context, *SetPipelineActionStatusRequest) (*Pipeline, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetPipelineActionStatus not implemented")
}
func (UnimplementedPipelinesServer) SetPipelineActionOutputs(context.Context, *SetPipelineActionOutputsRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SetPipelineActionOutputs not implemented")
}
func (UnimplementedPipelinesServer) GetPipelineActionOutputs(context.Context, *GetPipelineActionOutputsRequest) (*GetPipelineActionOutputsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPipelineActionOutputs not implemented")
}
func (UnimplementedPipelinesServer) GetPipelineVariables(context.Context, *GetPipelineVariablesRequest) (*GetPipelineVariablesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetPipelineVariables not implemented")
}
func (UnimplementedPipelinesServer) CreatePipelineJWT(context.Context, *CreatePipelineJWTRequest) (*CreatePipelineJWTResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreatePipelineJWT not implemented")
}
func (UnimplementedPipelinesServer) RetryPipelineTask(context.Context, *RetryPipelineTaskRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RetryPipelineTask not implemented")
}
func (UnimplementedPipelinesServer) RunPipelineTask(context.Context, *RunPipelineTaskRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RunPipelineTask not implemented")
}
func (UnimplementedPipelinesServer) RunPipeline(context.Context, *RunPipelineRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RunPipeline not implemented")
}
func (UnimplementedPipelinesServer) RetryNestedPipeline(context.Context, *RetryNestedPipelineRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RetryNestedPipeline not implemented")
}
func (UnimplementedPipelinesServer) ApprovePipeline(context.Context, *ApprovePipelineRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ApprovePipeline not implemented")
}
func (UnimplementedPipelinesServer) RevokePipelineApproval(context.Context, *RevokePipelineApprovalRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RevokePipelineApproval not implemented")
}
func (UnimplementedPipelinesServer) ApprovePipelineTask(context.Context, *ApprovePipelineTaskRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ApprovePipelineTask not implemented")
}
func (UnimplementedPipelinesServer) RevokePipelineTaskApproval(context.Context, *RevokePipelineTaskApprovalRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RevokePipelineTaskApproval not implemented")
}
func (UnimplementedPipelinesServer) SchedulePipelineNode(context.Context, *SchedulePipelineNodeRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SchedulePipelineNode not implemented")
}
func (UnimplementedPipelinesServer) CancelPipelineNodeSchedule(context.Context, *CancelPipelineNodeScheduleRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CancelPipelineNodeSchedule not implemented")
}
func (UnimplementedPipelinesServer) DeferPipelineNode(context.Context, *DeferPipelineNodeRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeferPipelineNode not implemented")
}
func (UnimplementedPipelinesServer) mustEmbedUnimplementedPipelinesServer() {}
func (UnimplementedPipelinesServer) testEmbeddedByValue()                   {}

// UnsafePipelinesServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to PipelinesServer will
// result in compilation errors.
type UnsafePipelinesServer interface {
	mustEmbedUnimplementedPipelinesServer()
}

func RegisterPipelinesServer(s grpc.ServiceRegistrar, srv PipelinesServer) {
	// If the following call pancis, it indicates UnimplementedPipelinesServer was
	// embedded by pointer and is nil.  This will cause panics if an
	// unimplemented method is ever invoked, so we test this at initialization
	// time to prevent it from happening at runtime later due to I/O.
	if t, ok := srv.(interface{ testEmbeddedByValue() }); ok {
		t.testEmbeddedByValue()
	}
	s.RegisterService(&Pipelines_ServiceDesc, srv)
}

func _Pipelines_GetPipelineByID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPipelineByIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).GetPipelineByID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_GetPipelineByID_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).GetPipelineByID(ctx, req.(*GetPipelineByIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_GetPipelines_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPipelinesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).GetPipelines(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_GetPipelines_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).GetPipelines(ctx, req.(*GetPipelinesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_CreatePipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreatePipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).CreatePipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_CreatePipeline_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).CreatePipeline(ctx, req.(*CreatePipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_CancelPipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CancelPipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).CancelPipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_CancelPipeline_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).CancelPipeline(ctx, req.(*CancelPipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_GetPipelineEventsStreaming_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(GetPipelineEventsStreamingRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(PipelinesServer).GetPipelineEventsStreaming(m, &grpc.GenericServerStream[GetPipelineEventsStreamingRequest, GetPipelineEventsStreamingResponse]{ServerStream: stream})
}

// This type alias is provided for backwards compatibility with existing code that references the prior non-generic stream type by name.
type Pipelines_GetPipelineEventsStreamingServer = grpc.ServerStreamingServer[GetPipelineEventsStreamingResponse]

func _Pipelines_SetPipelineActionStatus_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetPipelineActionStatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).SetPipelineActionStatus(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_SetPipelineActionStatus_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).SetPipelineActionStatus(ctx, req.(*SetPipelineActionStatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_SetPipelineActionOutputs_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SetPipelineActionOutputsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).SetPipelineActionOutputs(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_SetPipelineActionOutputs_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).SetPipelineActionOutputs(ctx, req.(*SetPipelineActionOutputsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_GetPipelineActionOutputs_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPipelineActionOutputsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).GetPipelineActionOutputs(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_GetPipelineActionOutputs_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).GetPipelineActionOutputs(ctx, req.(*GetPipelineActionOutputsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_GetPipelineVariables_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPipelineVariablesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).GetPipelineVariables(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_GetPipelineVariables_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).GetPipelineVariables(ctx, req.(*GetPipelineVariablesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_CreatePipelineJWT_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreatePipelineJWTRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).CreatePipelineJWT(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_CreatePipelineJWT_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).CreatePipelineJWT(ctx, req.(*CreatePipelineJWTRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_RetryPipelineTask_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RetryPipelineTaskRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).RetryPipelineTask(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_RetryPipelineTask_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).RetryPipelineTask(ctx, req.(*RetryPipelineTaskRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_RunPipelineTask_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RunPipelineTaskRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).RunPipelineTask(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_RunPipelineTask_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).RunPipelineTask(ctx, req.(*RunPipelineTaskRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_RunPipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RunPipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).RunPipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_RunPipeline_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).RunPipeline(ctx, req.(*RunPipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_RetryNestedPipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RetryNestedPipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).RetryNestedPipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_RetryNestedPipeline_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).RetryNestedPipeline(ctx, req.(*RetryNestedPipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_ApprovePipeline_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ApprovePipelineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).ApprovePipeline(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_ApprovePipeline_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).ApprovePipeline(ctx, req.(*ApprovePipelineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_RevokePipelineApproval_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RevokePipelineApprovalRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).RevokePipelineApproval(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_RevokePipelineApproval_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).RevokePipelineApproval(ctx, req.(*RevokePipelineApprovalRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_ApprovePipelineTask_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ApprovePipelineTaskRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).ApprovePipelineTask(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_ApprovePipelineTask_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).ApprovePipelineTask(ctx, req.(*ApprovePipelineTaskRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_RevokePipelineTaskApproval_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RevokePipelineTaskApprovalRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).RevokePipelineTaskApproval(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_RevokePipelineTaskApproval_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).RevokePipelineTaskApproval(ctx, req.(*RevokePipelineTaskApprovalRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_SchedulePipelineNode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SchedulePipelineNodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).SchedulePipelineNode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_SchedulePipelineNode_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).SchedulePipelineNode(ctx, req.(*SchedulePipelineNodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_CancelPipelineNodeSchedule_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CancelPipelineNodeScheduleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).CancelPipelineNodeSchedule(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_CancelPipelineNodeSchedule_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).CancelPipelineNodeSchedule(ctx, req.(*CancelPipelineNodeScheduleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Pipelines_DeferPipelineNode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeferPipelineNodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelinesServer).DeferPipelineNode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: Pipelines_DeferPipelineNode_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelinesServer).DeferPipelineNode(ctx, req.(*DeferPipelineNodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// Pipelines_ServiceDesc is the grpc.ServiceDesc for Pipelines service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Pipelines_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "martiancloud.phobos.api.pipeline.Pipelines",
	HandlerType: (*PipelinesServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetPipelineByID",
			Handler:    _Pipelines_GetPipelineByID_Handler,
		},
		{
			MethodName: "GetPipelines",
			Handler:    _Pipelines_GetPipelines_Handler,
		},
		{
			MethodName: "CreatePipeline",
			Handler:    _Pipelines_CreatePipeline_Handler,
		},
		{
			MethodName: "CancelPipeline",
			Handler:    _Pipelines_CancelPipeline_Handler,
		},
		{
			MethodName: "SetPipelineActionStatus",
			Handler:    _Pipelines_SetPipelineActionStatus_Handler,
		},
		{
			MethodName: "SetPipelineActionOutputs",
			Handler:    _Pipelines_SetPipelineActionOutputs_Handler,
		},
		{
			MethodName: "GetPipelineActionOutputs",
			Handler:    _Pipelines_GetPipelineActionOutputs_Handler,
		},
		{
			MethodName: "GetPipelineVariables",
			Handler:    _Pipelines_GetPipelineVariables_Handler,
		},
		{
			MethodName: "CreatePipelineJWT",
			Handler:    _Pipelines_CreatePipelineJWT_Handler,
		},
		{
			MethodName: "RetryPipelineTask",
			Handler:    _Pipelines_RetryPipelineTask_Handler,
		},
		{
			MethodName: "RunPipelineTask",
			Handler:    _Pipelines_RunPipelineTask_Handler,
		},
		{
			MethodName: "RunPipeline",
			Handler:    _Pipelines_RunPipeline_Handler,
		},
		{
			MethodName: "RetryNestedPipeline",
			Handler:    _Pipelines_RetryNestedPipeline_Handler,
		},
		{
			MethodName: "ApprovePipeline",
			Handler:    _Pipelines_ApprovePipeline_Handler,
		},
		{
			MethodName: "RevokePipelineApproval",
			Handler:    _Pipelines_RevokePipelineApproval_Handler,
		},
		{
			MethodName: "ApprovePipelineTask",
			Handler:    _Pipelines_ApprovePipelineTask_Handler,
		},
		{
			MethodName: "RevokePipelineTaskApproval",
			Handler:    _Pipelines_RevokePipelineTaskApproval_Handler,
		},
		{
			MethodName: "SchedulePipelineNode",
			Handler:    _Pipelines_SchedulePipelineNode_Handler,
		},
		{
			MethodName: "CancelPipelineNodeSchedule",
			Handler:    _Pipelines_CancelPipelineNodeSchedule_Handler,
		},
		{
			MethodName: "DeferPipelineNode",
			Handler:    _Pipelines_DeferPipelineNode_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "GetPipelineEventsStreaming",
			Handler:       _Pipelines_GetPipelineEventsStreaming_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "pipeline.proto",
}
